Subject: Re: bug#21343: 24.5; parse-partial-sexp mistakes string for a comment

From: Andreas Röhler <[email-masked]>
Date: Tue, 25 Aug 2015 19:45:43 +0200

Am 25.08.2015 um 15:11 schrieb Oleh Krehel:
> To reproduce, paste this code into *scratch*, "|" is the point:
>
> ("|foo"
>   ";; (bar)")
>
> M-x indent-sexp will result in "    ;" being inserted after the sexp.
>
> This is because `parse-partial-sexp' for the second line detects a
> comment at one stage.
>
>
>
>
>

Can't reproduce with GNU Emacs 25.0.50.1 (i686-pc-linux-gnu, GTK+ 
Version 2.24.23) of 2015-08-10

TAB indents nicely both lines, detects inside string when cursor at bar.